com.amazon.redshift.sspi

## Interface ISSPIClient

All Known Implementing Classes:
  SSPIClient

    public interface ISSPIClient

Use Waffle-JNI to support SSPI authentication when RsJDBC is running on a Windows client and talking to a Windows server.

SSPI is not supported on a non-Windows client.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `continueSSPI(int msgLength)`
`void` `dispose()`
`boolean` `isSSPISupported()`
`void` `startSSPI()`

### Method Detail

#### isSSPISupported

    boolean isSSPISupported()

#### startSSPI

    void startSSPI()
            throws SQLException,
                   IOException

Throws:
  `SQLException`
  `IOException`

#### continueSSPI

    void continueSSPI(int msgLength)
               throws SQLException,
                      IOException

Throws:
  `SQLException`
  `IOException`

#### dispose

    void dispose()